> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 指定したコネクタを使用したファイルの送信

> 指定されたコネクタを使用してファイルを送信します。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json POST /sendFile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /sendFile:
    post:
      tags:
        - sendFile
      summary: 指定したコネクタを使用したファイルの送信
      description: 指定されたコネクタを使用してファイルを送信します。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/sendFile_input'
      responses:
        '200':
          description: アクションの結果。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/sendFile_output'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    sendFile_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: コネクタのワークスペースID。
        ConnectorId:
          type: string
          description: コネクタのID。必須です。
        PortId:
          description: ポートのid。
          type: string
        MessageId:
          type: string
          description: メッセージID。
        File:
          type: string
          description: ファイル名。
        Subfolder:
          description: ファイルのサブフォルダ。
          type: string
        Attachment#:
          type: string
          description: 添付ファイル。
        FormatResult:
          type: string
          description: 結果をフォーマットするかどうか。
    sendFile_output:
      type: array
      items:
        type: object
        properties:
          MessageId:
            description: メッセージのId。
            type: string
          File:
            type: string
            description: ファイル名。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````